package cpcns.dingZhi.cESHI.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.cESHI.model.cESHI;
import cpcns.dingZhi.cESHI.service.ICESHIService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"cESHIController"})
public class CESHIController extends DangAnBaseController {
  @Autowired
  private ICESHIService cESHIService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    return "dingZhi/cESHI/cESHI_list";
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) {
    cESHI obj = new cESHI();
    String menLei = request.getParameter("menLei");
    obj.setMenLei(menLei);
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      model.addAttribute("fenGeFu", dam.getFenGeFu());
      model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
    } 
    model.addAttribute("cESHI", obj);
    return "dingZhi/cESHI/cESHI_edit";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.cESHIService.query_SQL(this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "hangBiaoShi"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "").replaceAll(":00", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("", "").replaceAll("BIAOTI", "biaoTi").replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("CHENGWENRIQI", "chengWenRiQi").replaceAll("ZERENZHE", "zeRenZhe").replaceAll("GUANJIANCI", "guanJianCi");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, HttpServletResponse response, cESHI obj) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      if (obj != null) {
        String rizhi = "";
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0) {
          rizhi = "修改";
          this.cESHIService.update(obj);
        } else {
          rizhi = "新增";
          obj.setHangBiaoShi(Integer.valueOf(this.cESHIService.getPk(this.table)));
          obj.setZhuangTai(Integer.valueOf(1));
          if (StringUtils.isBlank(String.valueOf(obj.getGuanLianBiaoShi())))
            obj.setGuanLianBiaoShi(Integer.valueOf(0)); 
          this.cESHIService.save(obj);
        } 
        rm.setSuccess(true);
        info = "保存成功！";
        rm.setBeizhu((String)obj.getHangBiaoShi());
        this.cESHIService.addDA_RiZhi(getCurrentUser(), this.server, this.table, obj.getHangBiaoShi(), obj.getBiaoTi(), rizhi);
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      model.addAttribute("keyWordResult", ids);
      cESHI obj = (cESHI)this.cESHIService.getById(cESHI.class, hangBiaoShi);
      if (StringUtils.isNotBlank(obj.getMenLei())) {
        GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(obj.getMenLei());
        if (dam != null) {
          model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
          model.addAttribute("fenGeFu", dam.getFenGeFu());
          model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
        } 
      } 
      model.addAttribute("cESHI", obj);
      this.cESHIService.addDA_RiZhi(getCurrentUser(), this.server, this.table, hangBiaoShi, obj.getBiaoTi(), "查看");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "dingZhi/cESHI/cESHI_edit";
  }
  
  @RequestMapping({"/delete.do"})
  public void delete(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String biaoTi = request.getParameter("biaoTi");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        User user = getCurrentUser();
        rm.setSuccess(true);
        info = "删除成功！";
        this.cESHIService.deleteBySQL(user, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        this.cESHIService.addDA_RiZhi(user, this.server, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)), biaoTi, "删除");
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
}
